## org.hibernate.context
Interface CurrentSessionContext

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JTASessionContext, ManagedSessionContext, ThreadLocalSessionContext

    public interface CurrentSessionContext

extends Serializable

Defines the contract for implementations which know how to scope the notion of a `current session`.

Implementations should adhere to the following:

- contain a constructor accepting a single argument of type `SessionFactoryImplementor`
- should be thread safe
- should be fully serializable

Implementors should be aware that they are also fully responsible for cleanup of any generated current-sessions.

Note that there will be exactly one instance of the configured CurrentSessionContext implementation per `SessionFactory`.

Author:
  Steve Ebersole

Method Summary
`Session` `currentSession()` Retrieve the current session according to the scoping defined by this implementation.

Method Detail

### currentSession

    Session currentSession()
                           throws HibernateException

  Retrieve the current session according to the scoping defined by this implementation.

  Returns:
    The current session.
  Throws:
    `HibernateException` - Typically indicates an issue locating or creating the current session.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.